-- Once script to file the overeenkomsttype en bijlagen bij bedrijf

SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;

SELECT UPPER (USER) || '_AAIT#33424' || '.lst' AS fcltlogfile FROM DUAL;

spool &fcltlogfile
SET DEFINE OFF;


-- kenmerk Contract Type op Contracting Party zetten als er nog geen contract type ingevuld was en het overeenkomstnummer leeg is.
INSERT INTO prs_kenmerklink (prs_kenmerk_key,
                             prs_link_key,
                             prs_kenmerklink_waarde,
                             prs_kenmerklink_niveau)
   SELECT 5,
          prs_bedrijf_key,
          (SELECT ud.fac_usrdata_key
             FROM fac_usrdata ud
            WHERE ud.fac_usrdata_omschr = 'Contracting Party'),
          'B'
     FROM prs_bedrijf b
    WHERE prs_overeenkomst_nr IS NULL AND prs_bedrijf_verwijder IS NULL
      AND NOT EXISTS
             (SELECT prs_kenmerklink_key
                FROM prs_kenmerklink kl
               WHERE prs_link_key = b.prs_bedrijf_key
                 AND kl.prs_kenmerk_key = 5);

-- Vul de standaard bijlage in bij de bedrijven die Contracting Party zijn
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_attachfile =
          'Algemene inkoopvoorwaarden_ versie augustus 2014.pdf',
       prs_bedrijfadres_flexfiles = 0
 WHERE prs_bedrijfadres_key IN
             (SELECT prs_bedrijfadres_key
                FROM prs_bedrijf b,
                     prs_kenmerklink kl,
                     prs_bedrijfadres ba,
                     fac_usrdata ud
               WHERE prs_overeenkomst_nr IS NULL
                 AND prs_bedrijf_verwijder IS NULL
                 AND prs_link_key = b.prs_bedrijf_key
                 AND kl.prs_kenmerk_key = 5
                 AND ud.fac_usrdata_omschr = 'Contracting Party'
                 AND fac.safe_to_number (kl.prs_kenmerklink_waarde) =
                        ud.fac_usrdata_key
                 AND b.prs_bedrijf_key = ba.prs_bedrijf_key
                 AND UPPER (ba.prs_bedrijfadres_url) LIKE 'MAILTO:%'
                 AND COALESCE (prs_bedrijfadres_attachfile,
                               'QueQeLeQue') <>
                        'Algemene inkoopvoorwaarden_ versie augustus 2014.pdf');


BEGIN adm.systrackscriptId('$Id$'); END;
/
COMMIT;

SPOOL OFF